--- old/usr/src/lib/libc/port/locale/mbstowcs.c	2014-11-30 18:43:47.229887168 -0500
+++ new/usr/src/lib/libc/port/locale/mbstowcs.c	2014-11-30 18:43:47.243896879 -0500
@@ -39,11 +39,9 @@
 mbstowcs_l(wchar_t *_RESTRICT_KYWD pwcs, const char *_RESTRICT_KYWD s,
     size_t n, locale_t loc)
 {
-	static const mbstate_t initial = { 0 };
-	mbstate_t mbs;
+	mbstate_t mbs = { 0 };
 	const char *sp;
 
-	mbs = initial;
 	sp = s;
 	return (loc->ctype->lc_mbsnrtowcs(pwcs, &sp, ULONG_MAX, n, &mbs));
 }
--- old/usr/src/lib/libc/port/locale/strcoll.c	2014-11-30 18:43:47.805447904 -0500
+++ new/usr/src/lib/libc/port/locale/strcoll.c	2014-11-30 18:43:47.817048470 -0500
@@ -55,9 +55,6 @@
 	size_t sz1, sz2;
 	const struct lc_collate *lcc = loc->collate;
 
-	mbstate_t mbs1 = { 0 };	/* initial states */
-	mbstate_t mbs2 = { 0 };
-
 	if (lcc->lc_is_posix)
 		return (strcmp(s1, s2));
 
@@ -89,10 +86,10 @@
 			goto error;
 	}
 
-	if ((mbsrtowcs_l(w1, &s1, sz1, &mbs1, loc)) == (size_t)-1)
+	if ((mbstowcs_l(w1, s1, sz1, loc)) == (size_t)-1)
 		goto error;
 
-	if ((mbsrtowcs_l(w2, &s2, sz2, &mbs2, loc)) == (size_t)-1)
+	if ((mbstowcs_l(w2, s2, sz2, loc)) == (size_t)-1)
 		goto error;
 
 	ret = wcscoll_l(w1, w2, loc);
